Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.cmd
Class Iostat

    java.lang.Object
      org.hyperic.sigar.shell.ShellCommandBase
          org.hyperic.sigar.cmd.SigarCommandBase
              org.hyperic.sigar.cmd.Iostat

All Implemented Interfaces:
  GetlineCompleter, ShellCommandHandler

public class Iostat
extends SigarCommandBase

Report filesytem disk space usage.

Field Summary

Fields inherited from class org.hyperic.sigar.cmd.SigarCommandBase
`err, out, output, proxy, shell, sigar`

Fields inherited from class org.hyperic.sigar.shell.ShellCommandBase
`itsCommandName, itsShell`

Constructor Summary
`Iostat()`
`Iostat(Shell shell)`

Method Summary
`GetlineCompleter` | `getCompleter()`
`java.lang.String` | `getSyntaxArgs()`
`java.lang.String` | `getUsageShort()` Get a very brief (40 character) description of the command
`static void` | `main(java.lang.String[] args)`
`void` | `output(FileSystem fs)`
`void` | `output(java.lang.String[] args)`
`void` | `outputDisk(java.lang.String name)`
`void` | `outputFileSystem(java.lang.String arg)`
`void` | `printHeader()`
`protected boolean` | `validateArgs(java.lang.String[] args)`

Methods inherited from class org.hyperic.sigar.cmd.SigarCommandBase
`complete, completePid, flush, getCompletions, getFormatter, isPidCompleter, printf, printf, printf, println, processCommand, setOutputFormat, sprintf`

Methods inherited from class org.hyperic.sigar.shell.ShellCommandBase
`getCommandName, getErrStream, getOutStream, getShell, getSyntax, getUsageHelp, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Iostat

    public Iostat(Shell shell)

### Iostat

    public Iostat()

Method Detail

### getCompleter

    public GetlineCompleter getCompleter()

  Overrides:
    `getCompleter` in class `SigarCommandBase`

### validateArgs

    protected boolean validateArgs(java.lang.String[] args)

  Overrides:
    `validateArgs` in class `SigarCommandBase`

### getSyntaxArgs

    public java.lang.String getSyntaxArgs()

  Overrides:
    `getSyntaxArgs` in class `ShellCommandBase`

### getUsageShort

    public java.lang.String getUsageShort()

  Description copied from interface: `ShellCommandHandler`
  Get a very brief (40 character) description of the command

  Specified by:
    `getUsageShort` in interface `ShellCommandHandler`
  Overrides:
    `getUsageShort` in class `ShellCommandBase`

### printHeader

    public void printHeader()

### output

    public void output(java.lang.String[] args)
                throws SigarException

  Specified by:
    `output` in class `SigarCommandBase`
  Throws:
    `SigarException`

### outputFileSystem

    public void outputFileSystem(java.lang.String arg)
                          throws SigarException

  Throws:
    `SigarException`

### outputDisk

    public void outputDisk(java.lang.String name)
                    throws SigarException

  Throws:
    `SigarException`

### output

    public void output(FileSystem fs)
                throws SigarException

  Throws:
    `SigarException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Hyperic. All Rights Reserved.